Bug 1269592 - [Docs] [Director] Wrong path to storage-environment.yaml in overcloud deploy command
[Docs] [Director] Wrong path to storage-environment.yaml in overcloud deploy ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All All
medium Severity medium
: async
: 7.0 (Kilo)
Assigned To: Dan Macpherson
Radek Bíba
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 12:12 EDT by Dan Yocum
Modified: 2016-01-17 18:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-17 18:23:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-10-07 12:12:49 EDT
The Director Install and Config guide states this in section 6.3.6:

"We also include environments/storage-environment.yaml in our deployment to initiate our storage requirements."

But in section 6.3.8 it uses this in the overcloud deploy command line [fix this part]:

openstack overcloud deploy --templates ~/templates/my-overcloud -e ~/templates/my-overcloud/environments/network-isolation.yaml -e ~/templates/network-environment.yaml -e ~/templates/storage-environment.yaml --control-scale 3 ...

Then 5 lines later this, again:

"-e ~/templates/my-overcloud/environments/storage-environment.yaml - The -e option adds an additional environment ..."
Comment 2 Dan Yocum 2015-10-07 12:23:11 EDT
Actually, all through section 6.3 the ~/templates/my-overcloud/ path is used inconsistently: sometimes the files are in ~/templates/my-overcloud/foo.yaml, and sometimes they're in ~/templates/bar.yaml.  

Considering that in section 6.3.5, there is this:

$ cp -r /usr/share/openstack-tripleo-heat-templates ~/templates/my-overcloud

All paths to templates should contain the 'my-overcloud' directory.
Comment 3 Dan Yocum 2015-10-07 12:45:07 EDT
(In reply to Dan Yocum from comment #2)
> Actually, all through section 6.3 the ~/templates/my-overcloud/ path is used
> inconsistently: sometimes the files are in
> ~/templates/my-overcloud/foo.yaml, and sometimes they're in
> ~/templates/bar.yaml.  
> 
> Considering that in section 6.3.5, there is this:
> 
> $ cp -r /usr/share/openstack-tripleo-heat-templates ~/templates/my-overcloud
> 
> All paths to templates should contain the 'my-overcloud' directory.

Errrr.  That should read 

"All paths to templates should contain the 'my-overcloud' directory in the rest of this section."

I need more coffee.... :/
Comment 4 Andrew Dahms 2015-10-07 20:01:56 EDT
Assigning to Dan for review.
Comment 6 Dan Yocum 2015-10-08 10:55:23 EDT
Per our IRC conversation, I'll work with dsneddon to create a network-environment.yaml file that should get shipped in the /usr/share/openstack-tripleo-heat-templates/environments/ dir with the rest of the environment files.
Comment 7 Dan Macpherson 2015-10-11 23:41:24 EDT
No prob. In the meantime, I've corrected the sotrage-environment.yaml location:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Creating_the_Advanced_Overcloud

How does it look, Dan? Can you spot anything else in that section that requires a change?
Comment 8 Dan Yocum 2015-10-16 12:22:18 EDT
The my-overcloud fix looks good.

Personally, I think the network-environments.yaml file should go in ~/templates/my-overcloud/environments/ dir like the other environment files.  

What do you think?
Comment 9 Dan Macpherson 2015-10-18 20:22:36 EDT
This is part of a larger problem that I'll need to solve.

At some stage the user might need to remove the custom templates collection and replace it with an updated version from /usr/share/openstack-tripleo-heat-templates. I'm concerned that any additional files from the user might get deleted if they try to replace the custom templates collection.

Having said that, the end user still needs to diff between the customer template collection and the default version when performing updates, so there's still the difficulty with identifying template differences.

What I think is the probably best course of action is if in the future I document some form of version control (i.e. git) to manage the custom template collection. That way you can add new files, make changes, and sync with the default version when it gets updated.
Comment 10 Dan Yocum 2015-10-19 14:37:41 EDT
Yes, I agree there is a larger problem to solve, but let me open an RFE BZ and let's discuss it there - you can close this BZ.
Comment 11 Andrew Dahms 2015-11-11 21:19:10 EST
Assigning Radek as the QA contact.

Radek - could you take a look at the changes for this bug?
Comment 12 Radek Bíba 2015-11-12 05:42:39 EST
Looks good to me too.
Comment 13 Andrew Dahms 2016-01-17 18:23:20 EST
This content is live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.